Delete SIM card data usage notifications
Delete the SIM Card Data Usage Notification.
DELETE
/
sim_card_data_usage_notifications
/
{id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const simCardDataUsageNotification = await client.simCardDataUsageNotifications.delete(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58',
);
console.log(simCardDataUsageNotification.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
sim_card_data_usage_notification = client.sim_card_data_usage_notifications.delete(
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
)
print(sim_card_data_usage_notification.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
simCardDataUsageNotification, err := client.SimCardDataUsageNotifications.Delete(context.TODO(), "6a09cdc3-8948-47f0-aa62-74ac943d6c58")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", simCardDataUsageNotification.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.simcarddatausagenotifications.SimCardDataUsageNotificationDeleteParams;
import com.telnyx.sdk.models.simcarddatausagenotifications.SimCardDataUsageNotificationDeleteResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
SimCardDataUsageNotificationDeleteResponse simCardDataUsageNotification = client.simCardDataUsageNotifications().delete("6a09cdc3-8948-47f0-aa62-74ac943d6c58");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
sim_card_data_usage_notification = telnyx.sim_card_data_usage_notifications.delete("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
puts(sim_card_data_usage_notification)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$simCardDataUsageNotification = $client
->simCardDataUsageNotifications
->delete('6a09cdc3-8948-47f0-aa62-74ac943d6c58');
var_dump($simCardDataUsageNotification);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx sim-card-data-usage-notifications delete \
--api-key 'My API Key' \
--id 6a09cdc3-8948-47f0-aa62-74ac943d6c58curl --request DELETE \
--url https://api.telnyx.com/v2/sim_card_data_usage_notifications/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "79228acc-3f08-4e70-ac68-cb5aae8b537a",
"sim_card_id": "b34c1683-cd85-4493-b9a5-315eb4bc5e19",
"threshold": {
"amount": "2048.0",
"unit": "MB"
},
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifies the resource.
Example:
"6a09cdc3-8948-47f0-aa62-74ac943d6c58"
Response
Successful Response
The SIM card individual data usage notification information.
Show child attributes
Show child attributes
Example:
{
"id": "79228acc-3f08-4e70-ac68-cb5aae8b537a",
"sim_card_id": "b34c1683-cd85-4493-b9a5-315eb4bc5e19",
"threshold": { "amount": "2048.0", "unit": "MB" },
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}Was this page helpful?
Get a single SIM card data usage notification
Previous
Updates information for a SIM Card Data Usage Notification
Next
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const simCardDataUsageNotification = await client.simCardDataUsageNotifications.delete(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58',
);
console.log(simCardDataUsageNotification.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
sim_card_data_usage_notification = client.sim_card_data_usage_notifications.delete(
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
)
print(sim_card_data_usage_notification.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
simCardDataUsageNotification, err := client.SimCardDataUsageNotifications.Delete(context.TODO(), "6a09cdc3-8948-47f0-aa62-74ac943d6c58")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", simCardDataUsageNotification.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.simcarddatausagenotifications.SimCardDataUsageNotificationDeleteParams;
import com.telnyx.sdk.models.simcarddatausagenotifications.SimCardDataUsageNotificationDeleteResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
SimCardDataUsageNotificationDeleteResponse simCardDataUsageNotification = client.simCardDataUsageNotifications().delete("6a09cdc3-8948-47f0-aa62-74ac943d6c58");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
sim_card_data_usage_notification = telnyx.sim_card_data_usage_notifications.delete("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
puts(sim_card_data_usage_notification)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$simCardDataUsageNotification = $client
->simCardDataUsageNotifications
->delete('6a09cdc3-8948-47f0-aa62-74ac943d6c58');
var_dump($simCardDataUsageNotification);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx sim-card-data-usage-notifications delete \
--api-key 'My API Key' \
--id 6a09cdc3-8948-47f0-aa62-74ac943d6c58curl --request DELETE \
--url https://api.telnyx.com/v2/sim_card_data_usage_notifications/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "79228acc-3f08-4e70-ac68-cb5aae8b537a",
"sim_card_id": "b34c1683-cd85-4493-b9a5-315eb4bc5e19",
"threshold": {
"amount": "2048.0",
"unit": "MB"
},
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}